<div class="mat-dialog-content-container">
    <h1 mat-dialog-title>{{lang.redirects}}</h1>
    <mat-dialog-content>
        <form #redirectConfForm="ngForm">

            <div class="alert-message alert-message-info" role="alert" *ngIf="data.hasConfidentialityInstances"
                [innerHTML]="lang.redirectConfidentialInfo">
            </div>
            <div class="alert-message alert-message-info" role="alert" *ngIf="data.hasListTemplates"
                [innerHTML]="lang.redirectModelInfo">
            </div>
            <div class="input-group">
                <mat-radio-group id="processMode" name="processMode"
                    style="display: inline-flex;flex-direction: column;" [(ngModel)]="this.processMode" color="primary">
                    <mat-radio-button value="" checked="true" color="primary">
                        {{lang.doNothingRedirect}}
                    </mat-radio-button>
                    <mat-radio-button value="delete" color="primary">
                        {{lang.removeUserRedirect}}
                    </mat-radio-button>
                    <mat-radio-button value="reaffect" color="primary">
                        {{lang.reaffectUserRedirect}}
                    </mat-radio-button>
                </mat-radio-group>
                <plugin-autocomplete *ngIf="this.processMode == 'reaffect'" [labelPlaceholder]="lang.userReplacement"
                    [labelList]="lang.availableUsers" [routeDatas]="['/rest/autocomplete/users']"
                    [targetSearchKey]="'idToDisplay'" [subInfoKey]="'descriptionToDisplay'"
                    (triggerEvent)="setRedirectUser($event)" singleMode required></plugin-autocomplete>

                <div class="alert-message alert-message-info" role="alert" style="max-width: inherit;">
                    <span *ngIf="this.processMode == ''"><em>{{lang.doNothingRedirectInformations}}</em></span>
                    <span *ngIf="this.processMode == 'delete'" [innerHTML]="lang.removeUserRedirectInformations"></span>
                    <span
                        *ngIf="this.processMode == 'reaffect'"><em>{{lang.reaffectUserRedirectInformations}}</em></span>
                </div>
            </div>
        </form>
    </mat-dialog-content>
    <span class="divider-modal"></span>
    <mat-dialog-actions>
        <button mat-raised-button color="primary" type="submit"
            [disabled]="!this.redirectUser && this.processMode == 'reaffect'"
            (click)="dialogRef.close({newUser:this.redirectUser,processMode:this.processMode})">{{lang.validate}}</button>
    </mat-dialog-actions>
</div>
